Search messages within a chat
curl --request GET \
--url https://api.devic.ai/v1/assistants/{identifier}/chats/{chatUid}/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/assistants/{identifier}/chats/{chatUid}/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/assistants/{identifier}/chats/{chatUid}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"messageUid": "<string>",
"conversationId": "<string>",
"role": "<string>",
"snippet": "<string>",
"occurredAt": 123,
"agentId": "<string>",
"assistantId": "<string>"
}
],
"pagination": {
"total": 42,
"limit": 20,
"offset": 0,
"hasMore": true
}
}Assistants
Search messages within a chat
Substring search across the messages of a single assistant chat. Returns references (messageUid) to the matching messages with a snippet.
GET
/
v1
/
assistants
/
{identifier}
/
chats
/
{chatUid}
/
search
Search messages within a chat
Authorizations
Use JWT token for authentication
Path Parameters
The unique identifier of the assistant specialization
The unique identifier of the chat
Query Parameters
Search term (substring)
Optional tenant filter within the client
⌘I